This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 811548 - Playstation Move controller needs similar treatment as Sixaxis
Playstation Move controller needs similar treatment as Sixaxis
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: bluez (Show other bugs)
16
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Bastien Nocera
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-11 07:48 EDT by Thomas Sailer
Modified: 2013-02-13 07:32 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-13 07:32:54 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Patch implementing PSMove pairing (9.12 KB, patch)
2012-04-11 07:49 EDT, Thomas Sailer
no flags Details | Diff

  None (edit)
Description Thomas Sailer 2012-04-11 07:48:12 EDT
Description of problem:
The Sony Sixaxis controller needs a special pairing procedure using an USB cable. The fedora bluez package contains a plugin for that.

Now the Playstation Move controller needs the same procedure, unfortunately all USB report request formats have changed.

The attached patch implements - on top of the existing cable plugin - the procedure for psmove as well.

Version-Release number of selected component (if applicable):
4.96-3.fc16, 4.99-1.fc18

How reproducible:
always

Steps to Reproduce:
1.connect a PSMove Controller
2.press the PS button
  
Actual results:
nothing happens

Expected results:
PSMove controller connects and becomes useable
Comment 1 Thomas Sailer 2012-04-11 07:49:09 EDT
Created attachment 576746 [details]
Patch implementing PSMove pairing
Comment 2 Fedora End Of Life 2013-01-16 07:18:38 EST
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Fedora End Of Life 2013-02-13 07:32:56 EST
Fedora 16 changed to end-of-life (EOL) status on 2013-02-12. Fedora 16 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.